# Class LogSyntaxException

java.lang.Object
java.lang.Throwable
java.lang.Exception
net.sf.statcvs.input.LogSyntaxException

All Implemented Interfaces:
  `Serializable`

public class LogSyntaxException extends Exception

Version:
  $Id: LogSyntaxException.java,v 1.12 2008/04/02 11:22:15 benoitx Exp $
Author:
  Anja Jentzsch, Richard Cyganiak
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LogSyntaxException()`
`LogSyntaxException(String message)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LogSyntaxException

public LogSyntaxException()

See Also:
  - `Object()`

### LogSyntaxException

public LogSyntaxException(String message)

See Also:
  - `Throwable(String)`